Class List Method List File List

# Class: Concurrent::LockFreeStack::Node

Inherits:
  Object
  - Object
  - Concurrent::LockFreeStack::Node
  show all
Defined in:
  lib/concurrent/edge/lock_free_stack.rb

## Direct Known Subclasses

Empty

## Instance Attribute Summary (collapse)

- - (undocumented) next_node readonly

  TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?.

- - (undocumented) value

  TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?.

## Instance Method Summary (collapse)

- - (Node) initialize(value, next_node) constructor

  A new instance of Node.

## Constructor Details

### - (`Node`) initialize(value, next_node)

Returns a new instance of Node

    15
    16
    17
    18

    # File 'lib/concurrent/edge/lock_free_stack.rb', line 15

    def initialize(value, next_node)
      @value     = value
      @next_node = next_node
    end

## Instance Attribute Details

### - (`undocumented`) next_node (readonly)

TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?

    11
    12
    13

    # File 'lib/concurrent/edge/lock_free_stack.rb', line 11

    def next_node
      @next_node
    end

### - (`undocumented`) value

TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?

    11
    12
    13

    # File 'lib/concurrent/edge/lock_free_stack.rb', line 11

    def value
      @value
    end